Skip to main content
PATCH
/
v1
/
short-links
/
{id}
curl --request PATCH \
  --url https://api.notifique.dev/v1/short-links/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isActive": false
}
'
{
  "success": true,
  "data": {
    "id": "clshort01exampleid0001",
    "workspaceId": "clws_example_workspace01",
    "domain": "clicar.co",
    "code": "promo24",
    "targetUrl": "https://loja.exemplo.com/nova-landing",
    "targetUrlHash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
    "outboundAttribution": "",
    "source": "API",
    "createdByUserId": null,
    "expiresAt": "2026-06-01T00:00:00.000Z",
    "deletedAt": null,
    "isActive": false,
    "clickCount": 128,
    "createdAt": "2026-04-18T14:22:00.000Z",
    "updatedAt": "2026-04-20T18:30:00.000Z",
    "shortUrl": "https://clicar.co/promo24"
  }
}

Authorizations

Authorization
string
header
required

API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx

Path Parameters

id
string
required

ID (cuid) do link.

Body

application/json
isActive
boolean
targetUrl
string
Required string length: 4 - 4096
expiresAt
string | null

ISO 8601, null ou string vazia para limpar expiração.

Response

Link atualizado.

success
boolean
required
Example:

true

data
object
required

Modelo persistido + shortUrl; datas em ISO 8601.